Contenido
Índice 🔎︎

# Arranque del software LibreOffice con parámetros

Si se inicia LibreOffice desde la consola, podrá asignar varios parámetros con los que se puede influir en el rendimiento. El uso de los parámetros de la consola solo se recomienda a los usuarios con experiencia.

Para un manejo normal, no es necesario el uso de los parámetros de consola. Algunos de los parámetros requieren un mayor conocimiento técnico de la tecnología de LibreOffice.

## Inicio de LibreOffice desde la consola

1. En Windows, seleccione Ejecutar desde el menú Inicio, o bien, abra una consola en las plataformas Linux, *BSD y macOS.

2. En Windows, escriba el texto siguiente en el campo de texto Abrir y pulse en Aceptar.

3. En sistemas similares a UNIX, escriba este renglón de texto y oprima Intro:

   {instalación}\program\soffice.exe {parámetro}{instalación}/program/soffice {parámetro}

   Sustituya {instalación} por la ruta de acceso a la instalación de LibreOffice (por ejemplo, C:\Archivos de programa\Office en Windows o ~/office en UNIX)

## Parámetros válidos de la consola

### Utilización sin parámetros especiales

El uso sin ningún parámetro abre el centro de inicio.

{archivo} | Intenta abrir los archivos en los componentes más adecuados.
{archivo} macro:///[Biblioteca.Módulo.NombreDeMacro] | Abre el archivo y aplica las macros especificadas contenidas en el archivo.

### Obtención de ayuda e información

Parámetro | Significado
--help / -h / -? | Enumera en la consola los parámetros de línea de órdenes disponibles.
--helpwriter | Abre la ayuda incorporada o en línea de LibreOffice para Writer.
--helpcalc | Abre la ayuda incorporada o en línea de LibreOffice para Calc.
--helpdraw | Abre la ayuda incorporada o en línea de LibreOffice para Draw.
--helpimpress | Abre la ayuda incorporada o en línea de LibreOffice para Impress.
--helpbase | Abre la ayuda incorporada o en línea de LibreOffice para Base.
--helpbasic | Abre la ayuda incorporada o en línea de LibreOffice para el lenguaje de programación Basic.
--helpmath | Abre la ayuda incorporada o en línea de LibreOffice para Math.
--version | Muestra la versión de LibreOffice y finaliza el programa.
--nstemporarydirectory | (Solo aplica para el espacio aislado de macOS) Devuelve la ruta de acceso de la carpeta temporal de la cuenta de usuario actual y sale. Invalida el resto de los argumentos.

### Argumentos generales

Parámetro | Significado
--quickstart[=no] | Activa o desactiva el servicio de inicio rápido. Únicamente acepta un parámetro, no, que desactiva el servicio. Sin este parámetro, el servicio se activa.
--nolockcheck | Desactiva la comprobación de instancias remotas durante la instalación.
--infilter={filter} | Forces an input filter type, if possible. For example: --infilter="Calc Office Open XML" --infilter="Text (encoded):UTF8,LF,Liberation Mono,en-US".
--pidfile={file} | Almacenar el identificador de proceso (PID) de soffice.bin en {archivo}.
--display {display} | Define la variable de entorno DISPLAY en las plataformas UNIX, y similares, al valor {display}. Este parámetro solo funciona en la secuencia de órdenes de inicio de LibreOffice en las plataformas de tipo UNIX.

### Control de interfaz de usuario o programática

Parámetro | Significado
--nologo | Desactiva la pantalla de presentación al arrancar el programa.
--minimized | Se inicia minimizado. No se muestra la pantalla de presentación.
--nodefault | Se inicia sin mostrar nada excepto la pantalla presentación.
--invisible | Se inicia en modo invisible. Neither the start-up logo nor the initial program window will be visible. LibreOffice software can be controlled, and documents and dialogs can be controlled and opened via the API. Con este parámetro, LibreOffice puede detenerse únicamente mediante el Administrador de tareas (Windows) o la orden kill (sistemas de tipo UNIX). No se puede usar de forma simultánea con --quickstart. Encontrará más información en la guía de programación de LibreOffice.
--headless | Se inicia en el modo sin representación gráfica, que permite usar la aplicación sin la interfaz de usuario. Esta modalidad especial puede emplearse cuando clientes externos controlen la aplicación por medio de la API.
--norestore | Desactiva el reinicio y la recuperación de archivos después de una caída del sistema.
--safe-mode | Inicia en el modo seguro, es decir, con un nuevo perfil de usuario temporal. Ello le ayuda a diagnisticar y reparar una configuración defectuosa.
--accept={UNO} | Notifica a LibreOffice que se empleará una cadena «UNO Accept String» tras la creación de «UNO Acceptor Threads». Un URL de UNO es una cadena semejante a uno:tipo-conexión,parámetros;nombre-protocolo,parámetros;NombreObjeto. Encontrará más información en la guía de programación de LibreOffice.
--unaccept={UNO-URL} | Closes an acceptor that was created with --accept={UNO-URL}. Use --unaccept=all to close all open acceptors.
--language={lang} | Utiliza un idioma especificado, si el idioma no se ha seleccionado aún para la IU. El idioma se denota como una etiqueta IETF.

### Argumentos de programación

Parámetro | Significado
--terminate_after_init | Sale tras finalizar la inicialización (sin cargar ningún documento).
--eventtesting | Sale tras cargar los documentos.

### Argumentos de creación de documentos

Los argumentos crean un documento vacío del tipo especificado. Solo uno de ellos se puede utilizar en una línea de órdenes. Si se especifican nombres de archivos después de un argumento, se intentará abrirlos en el módulo definido.

Parámetro | Significado
--writer | Inicia con un documento vacío de Writer.
--calc | Inicia con un documento vacío de Calc.
--draw | Inicia con un documento vacío de Draw.
--impress | Inicia con un documento vacío de Impress.
--math | Inicia con un documento vacío de Math.
--global | Inicia con un patrón de documento de Writer vacío.
--web | Inicia con un documento vacío en HTML.

### Argumentos de apertura de archivos

Los argumentos determinan el tratamiento de los nombres de archivo que siguen. Un tratamiento nuevo comienza después del argumento y termina al comenzar el próximo argumento. El tratamiento predeterminado consiste en abrir los documentos para su edición y crear documentos nuevos cuando se trate de plantillas.

Parámetro | Significado
-n | Considera los archivos siguientes como plantillas para la creación de documentos nuevos.
-o | Abre los archivos siguientes para su edición, sin importar si son plantillas o no.
--pt {Printername} | Imprime los archivos siguientes con la impresora {Nombre_impresora} y finaliza. La pantalla de presentación no aparece. Si el nombre de archivo contiene espacios, se debe acotar con comillas. Si se utiliza varias veces, únicamente el último argumento {Nombre_impresora} es efectivo para todos los documentos de todas las ejecuciones de la orden --pt. Asimismo, el argumento --printer-name de la opción --print-to-file interfiere con {Nombre_impresora}.
-p | Imprime los archivos especificados mediante la impresora predeterminada y los cierra a continuación. No aparece la pantalla de presentación. Si el nombre de archivo contiene espacios, se debe acotar con comillas.
--view | Abre los archivos siguientes en el modo de visor (solo lectura).
--show | Opens and starts the following presentation documents of each immediately. Files are closed after the showing. Files other than Impress documents are opened in default mode , regardless of previous mode.
--convert-to OutputFileExtension[:OutputFilterName] [--outdir output_dir] | Batch convert files (implies --headless). If --outdir isn't specified, then current working directory is used as output_dir. If --convert-to is used more than once, last value of OutputFileExtension[:OutputFilterName] is effective. If --outdir is used more than once, only its last value is effective. For example: --convert-to pdf *.doc --convert-to pdf:writer_pdf_Export --outdir /home/user *.doc --convert-to "html:XHTML Writer File:UTF8" *.doc --convert-to "txt:Text (encoded):UTF8" *.doc See the list of document filters for file conversion.
--print-to-file [--printer-name printer_name] [--outdir output_dir] | Batch print files to file. If --outdir is not specified, then current working directory is used as output_dir. If --printer-name or --outdir used multiple times, only last value of each is effective. Also, {Printername} of --pt switch interferes with --printer-name. For example: --print-to-file *.doc --print-to-file --printer-name nasty_lowres_printer --outdir /home/user *.doc
--cat | Applies filter "txt:Text" to the following text documents and dump text content to console (implies --headless). Cannot be used with --convert-to.
-env:VAR[=VALUE] | Define una variable de inicialización. Por ejemplo, para establecer una ruta de perfil de usuario distinta de la predeterminada: -env:UserInstallation=file:///tmp/test

### Modificadores ignorados

Parámetro | Significado
-psn | Ignorado (solo para macOS)
-Embedding | Ignorado (relativo a COM+; solo para Windows)
--nofirststartwizard | No hace nada; se acepta únicamente por motivos de compatibilidad retroactiva.
--protector {arg1} {arg2} | Se utiliza únicamente en las pruebas unitarias y debe tener dos argumentos.